Summary: A super-fast graphics and image library for X11
Name: imlib
Version: DR_0.11
Release: 1
Copyright: GPL
Group: X11/Libraries
URL: http://mandrake.net/e/
Source: ftp://ftp.mandrake.net/pub/enlightenment/imlib_DR-0.11.tar.gz
Patch: imlib-DR_0.11-redhat.patch
BuildRoot: /tmp/imlib-root
Requires: libgr-progs >= 2.0.13
Requires: libjpeg >= 6a
Requires: libtiff >= 3.4
Requires: zlib >= 1.0.4
Requires: libpng >= 0.96

Packager: C. Scott Ananian <cananian@alumni.princeton.edu>
# PGP key at http://www.pdos.lcs.mit.edu/~cananian

%description
The imlib (or, libIm) is a graphics library for drawing to X11. It is
small, fast, and color-conscious.

%package devel
Summary: Development libraries and header files for Imlib
Group: Development/Libraries

%description devel
Allows you to develop applications based on the image library imlib.

%changelog

* Fri Jan 30 1998 C. Scott Ananian <cananian@alumni.princeton.edu>
- Upgraded from 0.5.1 to 0.11
- Lots of changes, but structurally the same.

* Wed Oct 29 1997 Andrew Pimlott <pimlott@math.harvard.edu>
- Upgraded from 0.4 to 0.5.1 (required only removing a patch!)
- Incorporated suggestion from Ximenes Dalteca to create a devel subpackage
- Moved config files to /etc/X11/Im

* Sun Aug 30 1997 Andrew Pimlott <pimlott@math.harvard.edu>
- (Really Aug 31, but a silly bug in rpm disallows this!)
- Added a %post script describing the dependancy situation
- Made the files in /etc config files (I'm not sure they belong in /etc ...)

* Sun Aug 24 1997 Andrew Pimlott <pimlott@math.harvard.edu>
- BuildRoot'ed (required a small makefile patch to remove a chown to root)
- Added /usr/X11R6/lib/libIm.so.1 to the file list

%prep
%setup -n imlib
%patch -p1

%build
xmkmf -a
make

%install
make DESTDIR=$RPM_BUILD_ROOT install

%post
/sbin/ldconfig
cat >&2 <<EOF
In order to read all common file formats, imlib requires EITHER
 - the netpbm AND libgr-progs packages  OR
 - the ImageMagick package
Be sure to install at least one of these if you wish to run Enlightenment.
EOF

%postun
/sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/imlib

%files
%attr(-, root, root) %doc COPYING README
%attr(-, root, root) /usr/X11/lib/libIm.so.0.11
%attr(-, root, root) /usr/X11/lib/libIm.so.0
%attr(-, root, root) %config /etc/X11/Im/imrc
%attr(-, root, root) %config /etc/X11/Im/im_palette.pal

%files devel
%attr(-, root, root) /usr/X11/include/X11/imlib.h
%attr(-, root, root) /usr/X11/lib/libIm.a
%attr(-, root, root) /usr/X11/lib/libIm.so
